Subject: Re: Debugging information for DLL's
From: [email-masked] (Glenn Spell)

12 Jan 1999 14:37:22 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked] (Glenn Spell)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Mumit Khan writes>
> Glenn Spell <[email-masked]> writes:
> > Doesn't buy you anything? What do you mean?
> 
> I should've prefixed that with "In theory ..." ;-)

Ah!

> >   c) I know for a fact that a 5,xxxKB cygwin1.dll runs a lot
> >        slower on Windows 95 than a 47xKB one does.

Actually, I was fudging. I don't really know that "for a fact".

> On most systems, the debug info is not loaded by the loader, and you
> basically spend no extra time (other than perhaps some paging penalty
> due to a larger executable) when you have debug info; I can imagine
> executables running a bit slower on Windows95 which has a lousy VM 
> (virtual memory), but on NT, it should be barely noticable. 
> 
> > Therefore, I figure that I must misunderstand what you're saying.
> 
> It's more that theory and practice don't quite agree here than any
> misunderstanding.

In my crude way, I was asking for a more clarifying explanation...
which you have so graciously provided. Very interesting info.
Thank you so much.

-glenn

-- 
            Glenn Spell <[email-masked]>
         Fayetteville, North Carolina, U. S. A.
  ____________________________________________________
  ... blue skies ... happy trails ... sweet dreams ...
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".